Updates the project status with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
project_status| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| name |
Name of the project status |
string |
Required Max length: 50 |
| is_default |
Is default (auto selected when creating new project) |
boolean | |
| is_closed |
Inform if this status means that the project/installation is archived |
boolean |
Required |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating project_status |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating project_status |
sales_organization | |
| code |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 255 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
Sample:
{
"id": "c183d79d-1ae3-4825-a382-a2789c9d6d97",
"name": "sample string 2",
"is_default": true,
"is_closed": true,
"sales_organization_id": "71c438ec-b376-4180-91b1-1eadb0c1c043",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "88747749-ac0a-4893-a668-953b7cb53862",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "77cd6348-0d1a-454f-a578-9fe7dbdc99c6",
"db_currency_id": "b7f8f0b2-d1d3-475b-aee3-21da1d259281",
"db_language_id": "f4a782c2-51f0-4657-91a7-f2c5636b7e8d",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-04-11T03:42:58.8645545+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-04-11T03:42:58.8801948+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.